Package Gnumed :: Package timelinelib :: Package calendar :: Module timetype :: Class TimeType |
[frames] | no frames]

# Class TimeType

source code

    object --+
             |
            TimeType

Instance Methods
time_string(self, time) | source code
parse_time(self, time_string) | source code
get_navigation_functions(self) | source code
format_period(self, time_period) | source code
format_delta(self, time_period) | source code
get_min_time(self) | source code
get_max_time(self) | source code
choose_strip(self, metrics, appearance) | source code
get_default_time_period(self) | source code
supports_saved_now(self) | source code
set_saved_now(self, time) | source code
now(self) | source code
get_min_zoom_delta(self) | source code
get_name(self) | source code
get_duplicate_functions(self) | source code
is_special_day(self, time) | source code
is_weekend_day(self, time) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`